services:
  coturn:
    image: instrumentisto/coturn
    container_name: coturn
    restart: unless-stopped
    ports:
      - "3478:3478"           # STUN/TURN TCP
      - "3478:3478/udp"       # STUN/TURN UDP
      - "5349:5349"           # TLS (optional)
      - "5349:5349/udp"
    command:
      - -n
      - --log-file=stdout
      - --lt-cred-mech
      - --use-auth-secret
      - --static-auth-secret=87203923adb2bfa8efd6134c51bc564d24212af164e3fe1ad73d141cfd5ccef6
      - --realm=matrix.egonetix.de
      - --no-cli
      - --no-tcp-relay
      - --no-multicast-peers

